Bug 322709 - Digikam and drkonqi crash at startup.
Summary: Digikam and drkonqi crash at startup.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: unspecified
Platform: macOS (DMG) macOS
: NOR grave (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-23 02:33 UTC by rjmluke
Modified: 2022-01-07 05:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rjmluke 2013-07-23 02:33:47 UTC
I managed to install Digikam on OSx 10.8.3. Every time i attempt to open the program,  digikam and drkonqi appear to be loading, but then crash with this information in the crash report:


Process:         drkonqi [243]
Path:            /opt/local/lib/*/drkonqi.app/Contents/MacOS/drkonqi
Identifier:      ???
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  digikam [227]
User ID:         501

Date/Time:       2013-07-22 22:30:25.716 -0400
OS Version:      Mac OS X 10.8.3 (12D78)
Report Version:  10

Interval Since Last Report:          1268 sec
Crashes Since Last Report:           5
Per-App Interval Since Last Report:  -13956 sec
Per-App Crashes Since Last Report:   5
Anonymous UUID:                      818F30E8-7212-8AE9-E3C4-AD169EC614AA

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Application Specific Information:
abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff854aa212 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff848d9b54 pthread_kill + 90
2   libsystem_c.dylib             	0x00007fff8491ddce abort + 143
3   QtCore                        	0x0000000107e2ba9a qt_message_output(QtMsgType, char const*) + 154
4                                 	0x0000000103fc2450 QDebug::~QDebug() + 112
5   libkdeui.5.dylib              	0x00000001067627b3 KApplicationPrivate::init(bool) + 339
6   libkdeui.5.dylib              	0x00000001067625a1 KApplication::KApplication(bool) + 305
7                                 	0x0000000103fb83b8 main + 4232
8   libdyld.dylib                 	0x00007fff86b077e1 start + 1

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff854aad16 kevent + 10
1   libdispatch.dylib             	0x00007fff893dddea _dispatch_mgr_invoke + 883
2   libdispatch.dylib             	0x00007fff893dd9ee _dispatch_mgr_thread + 54

Thread 2:: QProcessManager
0   libsystem_kernel.dylib        	0x00007fff854aa322 __select + 10
1   QtCore                        	0x0000000107f067b8 QProcessManager::run() + 168
2   QtCore                        	0x0000000107e36238 QThreadPrivate::start(void*) + 504
3   libsystem_c.dylib             	0x00007fff848d87a2 _pthread_start + 327
4   libsystem_c.dylib             	0x00007fff848c51e1 thread_start + 13

Thread 3:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff854aa322 __select + 10
1   com.apple.CoreFoundation      	0x00007fff88c22f46 __CFSocketManager + 1302
2   libsystem_c.dylib             	0x00007fff848d87a2 _pthread_start + 327
3   libsystem_c.dylib             	0x00007fff848c51e1 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: 0x00007fff5bc53598  rdx: 0x0000000000000000
  rdi: 0x0000000000000707  rsi: 0x0000000000000006  rbp: 0x00007fff5bc535c0  rsp: 0x00007fff5bc53598
   r8: 0x00007fff73bc1278   r9: 0x00007fff5bc535b0  r10: 0x0000000020000000  r11: 0x0000000000000206
  r12: 0x00007fff5bc53aa0  r13: 0x00007fff5bc53a98  r14: 0x00007fff73bc2180  r15: 0x0000000000000003
  rip: 0x00007fff854aa212  rfl: 0x0000000000000206  cr2: 0x00007fff73bbaff0
Logical CPU: 0

Binary Images:
       0x103fac000 -        0x104046fff + (??? - ???) <966CA8F8-5223-39C2-8C71-118F647FB1BB> /opt/local/lib/*/drkonqi.app/Contents/MacOS/drkonqi
       0x104087000 -        0x104364ff7 +libkio.5.dylib (0) <9EA0D35F-BE88-3924-BBEA-8A1DA670E593> /opt/local/lib/libkio.5.dylib
       0x104497000 -        0x10590bfff +QtWebKit (0) <9EC4D4A4-9F24-3157-8DD8-A32890DAE2FC> /opt/local/Library/Frameworks/QtWebKit.framework/Versions/4/QtWebKit
       0x1061c5000 -        0x1061eaff7 +libkdewebkit.5.dylib (0) <011ABA91-E8A4-39FF-8B14-C8CDD5009246> /opt/local/lib/libkdewebkit.5.dylib
       0x106205000 -        0x106216ff7 +libkxmlrpcclient.4.dylib (0) <CD263BA7-550A-3394-9274-AF2D447E0DE7> /opt/local/lib/libkxmlrpcclient.4.dylib
       0x106222000 -        0x106267fff +libkparts.4.dylib (0) <354C5F64-C4D4-3951-AE71-56202C0DA250> /opt/local/lib/libkparts.4.dylib
       0x10629f000 -        0x1063bbff7 +QtNetwork (0) <BEF4589B-C0D5-3AA7-AFAB-2904D88C2BE3> /opt/local/Library/Frameworks/QtNetwork.framework/Versions/4/QtNetwork
       0x106426000 -        0x106466fff +QtXml (0) <C5C0C44A-29FB-302D-B26A-6BB169A85E16> /opt/local/Library/Frameworks/QtXml.framework/Versions/4/QtXml
       0x106486000 -        0x1064c0ff7 +libnepomukutils.4.dylib (0) <620D3E6E-AAAB-3AA0-A061-59CDEBDDA703> /opt/local/lib/libnepomukutils.4.dylib
       0x1064ec000 -        0x1065e9ff7 +libnepomuk.4.dylib (0) <33EB72C3-7707-3690-89FA-3F630C04CB6B> /opt/local/lib/libnepomuk.4.dylib
       0x106647000 -        0x106a42ff7 +libkdeui.5.dylib (0) <2FDB0F68-EC67-3E51-8CFE-892EB723420D> /opt/local/lib/libkdeui.5.dylib
       0x106c2b000 -        0x10755aff7 +QtGui (0) <8AEA68FB-1FF6-38C2-9999-C10EF7A27DDB> /opt/local/Library/Frameworks/QtGui.framework/Versions/4/QtGui
       0x107818000 -        0x10785ffff +QtSvg (0) <E3DD2546-0892-3BE0-BE8A-EAE2793F98CD> /opt/local/Library/Frameworks/QtSvg.framework/Versions/4/QtSvg
       0x107886000 -        0x10795ffff +libsoprano.4.dylib (0) <9C7C45EE-FF4D-311D-AF82-492135A42F33> /opt/local/lib/libsoprano.4.dylib
       0x1079d3000 -        0x107ce5fff +libkdecore.5.dylib (0) <3370424A-D3AC-3D0D-B09F-480559C2C48A> /opt/local/lib/libkdecore.5.dylib
       0x107e11000 -        0x1080acfff +QtCore (0) <52D6358D-43AC-3AE3-8B73-FDDE405636D0> /opt/local/Library/Frameworks/QtCore.framework/Versions/4/QtCore
       0x108156000 -        0x1081c6ff7 +QtDBus (0) <7E4573D8-7431-3AF6-A164-A944E5CF4562> /opt/local/Library/Frameworks/QtDBus.framework/Versions/4/QtDBus
       0x1081f4000 -        0x10824dfff +libnepomukquery.4.dylib (0) <455A11C2-7890-3352-BFEC-3A7727C48F43> /opt/local/lib/libnepomukquery.4.dylib
       0x108278000 -        0x108289fff +libz.1.dylib (0) <A9EB10A3-B238-3A9B-B23A-7FB5F5C9685E> /opt/local/lib/libz.1.dylib
       0x10828f000 -        0x1082f2ff7 +libstreamanalyzer.0.dylib (0) <56229309-92CD-3F70-B9A7-63E4A788B91A> /opt/local/lib/libstreamanalyzer.0.dylib
       0x10832e000 -        0x108358fff +libstreams.0.dylib (0) <4DF71A45-AA3F-3AF9-8B87-AA5F5887A46D> /opt/local/lib/libstreams.0.dylib
       0x108377000 -        0x1083dfff7 +libsolid.4.dylib (0) <1F42E7A4-8AB5-3037-A454-1C2A369C340D> /opt/local/lib/libsolid.4.dylib
       0x108430000 -        0x108473fff +libsopranoclient.1.dylib (0) <94CF6375-4A3C-38DB-BA02-44C0A8C3A2AA> /opt/local/lib/libsopranoclient.1.dylib
       0x10849a000 -        0x1084e0ff7 +libssl.1.0.0.dylib (0) <274AF799-AB68-316F-8018-92A9FB9D725C> /opt/local/lib/libssl.1.0.0.dylib
       0x1084ff000 -        0x10863dfcf +libcrypto.1.0.0.dylib (0) <DFF00580-87A6-388A-9115-45DD8B63CDAC> /opt/local/lib/libcrypto.1.0.0.dylib
       0x1086b2000 -        0x1086edff7 +libdbus-1.3.dylib (0) <7FCFC78F-1634-3331-892E-EA3A5EFDB72E> /opt/local/lib/libdbus-1.3.dylib
       0x1086fe000 -        0x108722fff +libpng15.15.dylib (0) <4ABA7542-E3A2-3B91-9D09-C8223B219F13> /opt/local/lib/libpng15.15.dylib
       0x10872f000 -        0x10873dff7 +libbz2.1.0.dylib (0) <C47448DF-64F0-3C3C-B2BD-E2870C706221> /opt/local/lib/libbz2.1.0.dylib
       0x108746000 -        0x108765fff +liblzma.5.dylib (0) <5BDF4AAA-0CF2-3E03-B0EC-9124EC41B4EF> /opt/local/lib/liblzma.5.dylib
       0x10876d000 -        0x108775fff +libintl.8.dylib (0) <AB236CB9-D1B3-3A87-9926-86E0A66C1A8D> /opt/local/lib/libintl.8.dylib
       0x108781000 -        0x108879ff7 +libiconv.2.dylib (0) <1914316E-52FA-3DC3-9CE7-6D2D71CFD4DB> /opt/local/lib/libiconv.2.dylib
       0x108886000 -        0x108951fff +libqca.2.dylib (0) <5E757F1F-F259-39EE-8D87-8065475389BA> /opt/local/lib/libqca.2.dylib
       0x1089c9000 -        0x108a79fff +libattica.0.4.dylib (0) <CBE2F9F5-6AC1-36C2-AB14-8A096E251411> /opt/local/lib/libattica.0.4.dylib
       0x108ace000 -        0x108af7ff7 +libdbusmenu-qt.2.dylib (0) <41733669-0CB3-32CA-92FA-8CB7A14A7F38> /opt/local/lib/libdbusmenu-qt.2.dylib
       0x108b06000 -        0x108c3aff7 +libxml2.2.dylib (0) <BA02B6FE-43BC-31BD-BD10-ADCF6D44E1F4> /opt/local/lib/libxml2.2.dylib
       0x108d78000 -        0x108d7efff +kimg_dds.so (0) <8ECA0BE2-EC10-382C-B6BC-6DACC9DAB18B> /opt/local/lib/*/kimg_dds.so
       0x108d84000 -        0x108d8aff7 +kimg_eps.so (0) <B5CD7DED-71EA-3D70-93C2-8428CFFD3E68> /opt/local/lib/*/kimg_eps.so
       0x108d90000 -        0x108d96ff7 +kimg_exr.so (0) <45BCC169-FE14-3563-A05E-C3175CC38B73> /opt/local/lib/*/kimg_exr.so
       0x108d9c000 -        0x108da0fff +libImath.6.dylib (0) <BD6AF439-DBA1-3389-9C8A-D1F1F6D3B70F> /opt/local/lib/libImath.6.dylib
       0x108da5000 -        0x108e48fff +libIlmImf.6.dylib (0) <F6D9536E-000D-3AD7-8D98-B04F7C4AA79E> /opt/local/lib/libIlmImf.6.dylib
       0x108e80000 -        0x108e86fff +libIex.6.dylib (0) <5329CDE1-1769-3256-8F55-9CB6428575EC> /opt/local/lib/libIex.6.dylib
       0x108e96000 -        0x108ed7ff7 +libHalf.6.dylib (0) <FDB47DAD-1F53-34C0-AAC1-D3B58E0669AE> /opt/local/lib/libHalf.6.dylib
       0x108eda000 -        0x108eddff7 +libIlmThread.6.dylib (0) <70A89BF5-72B3-314F-B831-59724B92A69E> /opt/local/lib/libIlmThread.6.dylib
       0x108ee2000 -        0x108ee7fff +kimg_jp2.so (0) <8C9D66F7-6263-3682-A4C3-BF370AD99622> /opt/local/lib/*/kimg_jp2.so
       0x108eec000 -        0x108ef3fff +kimg_pcx.so (0) <CDE4E522-4030-3CA2-AB0E-97FC2CCFF1FA> /opt/local/lib/*/kimg_pcx.so
       0x10a196000 -        0x10a1baff7  com.apple.security.csparser (3.0 - 55179.11) <5C818B75-2844-3BDC-B8FA-79CE48C19931> /System/Library/Frameworks/Security.framework/PlugIns/csparser.bundle/Contents/MacOS/csparser
       0x10a1c2000 -        0x10a27bff7  ColorSyncDeprecated.dylib (400) <7CE58F6E-D2C8-39FB-8EE0-28CC6EC6D04F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
       0x10a3f5000 -        0x10a42afff +libjpeg.9.dylib (0) <6F9B8E3B-15E5-3091-8562-3DD0BB85B63E> /opt/local/lib/libjpeg.9.dylib
       0x10a431000 -        0x10a435ff7 +kimg_pic.so (0) <2F6A4EE0-EF62-372E-B112-5B5293003142> /opt/local/lib/*/kimg_pic.so
       0x10e841000 -        0x10e881ff7 +libjasper.1.dylib (0) <9532C36B-2315-3D10-A782-46036A371870> /opt/local/lib/libjasper.1.dylib
       0x10e89c000 -        0x10e8a0ff7 +kimg_psd.so (0) <943B261E-3D35-307A-AE71-443003EB3AE4> /opt/local/lib/*/kimg_psd.so
       0x10e8a5000 -        0x10e8aafff +kimg_ras.so (0) <9DDFDE81-E84F-34F6-B9BD-2464D77154F9> /opt/local/lib/*/kimg_ras.so
       0x10e8af000 -        0x10e8b7fff +kimg_rgb.so (0) <BD352906-7172-3FB1-9F45-02CAE43B85E3> /opt/local/lib/*/kimg_rgb.so
       0x10e8be000 -        0x10e8c3ff7 +kimg_tga.so (0) <3C14F683-7045-362E-9F1E-2F14DF33133D> /opt/local/lib/*/kimg_tga.so
       0x10e8c9000 -        0x10e8d7fff +kimg_xcf.so (0) <5C8EA23C-1565-309B-8D22-42DFFB7147F7> /opt/local/lib/*/kimg_xcf.so
       0x10e8e3000 -        0x10e8e7ff7 +kimg_xview.so (0) <5BF989C4-2219-3325-945C-CF219748FE4D> /opt/local/lib/*/kimg_xview.so
       0x10e8ec000 -        0x10e8f2ff7 +libqgif.dylib (0) <D0D8E9C9-8DA5-3947-AB43-112D192B0250> /opt/local/share/*/libqgif.dylib
       0x10e8f7000 -        0x10e8fdff7 +libqico.dylib (0) <64D4D688-1A0F-3779-831A-6DFCC3251BA8> /opt/local/share/*/libqico.dylib
       0x10e903000 -        0x10e908ff7 +libqjpeg.dylib (0) <ED7A10A3-270F-3164-8B08-0FF5C32DF05E> /opt/local/share/*/libqjpeg.dylib
       0x10e90e000 -        0x10e912fff +libqmng.dylib (0) <90B2C59D-EBA4-396C-A5ED-8D0FA7457C5C> /opt/local/share/*/libqmng.dylib
       0x10e918000 -        0x10e968ff7 +libmng.1.dylib (0) <33E945E2-5CB7-3AD4-BDFF-D4D0F59BFE7C> /opt/local/lib/libmng.1.dylib
       0x10e97c000 -        0x10e9abfff +liblcms.1.dylib (0) <8397726A-6075-3809-B482-E933F970803C> /opt/local/lib/liblcms.1.dylib
       0x10e9b7000 -        0x10e9bbff7 +libqsvg.dylib (0) <58198182-9990-33AF-88CB-9BC12AEA7914> /opt/local/share/*/libqsvg.dylib
       0x10e9c0000 -        0x10e9c6fff +libqtiff.dylib (0) <2EB75F16-4930-3FF7-94C3-A4F7F76A5CA1> /opt/local/share/*/libqtiff.dylib
       0x10e9cc000 -        0x10ea2dff7 +libtiff.5.dylib (0) <CC8E8E61-390D-39F4-9159-74A16D308CAA> /opt/local/lib/libtiff.5.dylib
    0x7fff63bac000 -     0x7fff63be093f  dyld (210.2.3) <6900F2BA-DB48-3B78-B668-58FC0CF6BCB8> /usr/lib/dyld
    0x7fff8393d000 -     0x7fff8395aff7  com.apple.openscripting (1.3.6 - 148.3) <C008F56A-1E01-3D4C-A9AF-97799D0FAE69> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8396a000 -     0x7fff8396efff  libGIF.dylib (849) <6A664B4D-0A88-33F7-9064-0CD159AB9CE9> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff8396f000 -     0x7fff83978ff7  com.apple.CommerceCore (1.0 - 26.1) <40A129A8-4E5D-3C7A-B299-8CB203C4C65D> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff83a04000 -     0x7fff83a13fff  com.apple.opengl (1.8.7 - 1.8.7) <26F7FF79-6BB2-3968-B70D-71D4E07C9551> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff83aa6000 -     0x7fff83abcfff  com.apple.MultitouchSupport.framework (235.29 - 235.29) <617EC8F1-BCE7-3553-86DD-F857866E1257> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff83aef000 -     0x7fff83aefffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <173346B7-614C-380B-8E80-9BD1BE501674> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff83b04000 -     0x7fff83b26ff7  libxpc.dylib (140.42) <BBE558BD-5E55-35E4-89ED-1AA6B056D05A> /usr/lib/system/libxpc.dylib
    0x7fff83b27000 -     0x7fff83b27fff  libkeymgr.dylib (25) <CC9E3394-BE16-397F-926B-E579B60EE429> /usr/lib/system/libkeymgr.dylib
    0x7fff83dcd000 -     0x7fff83e67fff  libvMisc.dylib (380.6) <714336EA-1C0E-3735-B31C-19DFDAAF6221> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff83e68000 -     0x7fff83e68fff  com.apple.ApplicationServices (45 - 45) <A3ABF20B-ED3A-32B5-830E-B37831A45A80> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff83e8c000 -     0x7fff83feafef  com.apple.MediaControlSender (1.7 - 170.20) <853BE89D-49B0-3922-9ED5-DDBDE9A97356> /System/Library/PrivateFrameworks/MediaControlSender.framework/Versions/A/MediaControlSender
    0x7fff83feb000 -     0x7fff83ffaff7  libxar.1.dylib (105) <370ED355-E516-311E-BAFD-D80633A84BE1> /usr/lib/libxar.1.dylib
    0x7fff8409d000 -     0x7fff840b4fff  com.apple.GenerationalStorage (1.1 - 132.3) <FD4A84B3-13A8-3C60-A59E-25A361447A17> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff840b5000 -     0x7fff840dfff7  com.apple.CoreVideo (1.8 - 99.4) <E5082966-6D81-3973-A05A-38AA5B85F886> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff840e0000 -     0x7fff84149fff  libstdc++.6.dylib (56) <EAA2B53E-EADE-39CF-A0EF-FB9D4940672A> /usr/lib/libstdc++.6.dylib
    0x7fff84289000 -     0x7fff84297ff7  libkxld.dylib (2050.22.13) <4AAF0573-8632-3D06-BE32-C5675F77638D> /usr/lib/system/libkxld.dylib
    0x7fff84326000 -     0x7fff84477fff  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <C680EE1A-B4ED-3E77-A08C-DC47922ACA33> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff844b3000 -     0x7fff844bafff  libGFXShared.dylib (8.7.25) <869580B2-39CB-30C3-B76E-73BB4894B6B7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff844bb000 -     0x7fff844befff  com.apple.help (1.3.2 - 42) <343904FE-3022-3573-97D6-5FE17F8643BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff844bf000 -     0x7fff844ccfff  libbz2.1.0.dylib (29) <CE9785E8-B535-3504-B392-82F0064D9AF2> /usr/lib/libbz2.1.0.dylib
    0x7fff844cd000 -     0x7fff844d5fff  liblaunch.dylib (442.26.2) <2F71CAF8-6524-329E-AC56-C506658B4C0C> /usr/lib/system/liblaunch.dylib
    0x7fff844d6000 -     0x7fff84806fff  com.apple.HIToolbox (2.0 - 626.1) <656D08C2-9068-3532-ABDD-32EC5057CCB2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff84807000 -     0x7fff84813fff  libCSync.A.dylib (331.0.4) <C7043BB7-284D-3B9F-A5CB-78ADE691B2D4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff84814000 -     0x7fff8484eff7  com.apple.GSS (3.0 - 2.0) <970CAE00-1437-3F4E-B677-0FDB3714C08C> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff848ad000 -     0x7fff848aefff  libDiagnosticMessagesClient.dylib (8) <8548E0DC-0D2F-30B6-B045-FE8A038E76D8> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff848c4000 -     0x7fff84990ff7  libsystem_c.dylib (825.26) <4C9EB006-FE1F-3F8F-8074-DFD94CF2CE7B> /usr/lib/system/libsystem_c.dylib
    0x7fff849a3000 -     0x7fff84ac3fff  com.apple.desktopservices (1.7.3 - 1.7.3) <707F77D2-EC0E-3431-840F-B984BD7ABDD6> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff84ac4000 -     0x7fff84afafff  libsystem_info.dylib (406.17) <4FFCA242-7F04-365F-87A6-D4EFB89503C1> /usr/lib/system/libsystem_info.dylib
    0x7fff84b10000 -     0x7fff84b10fff  libOpenScriptingUtil.dylib (148.3) <F8681222-0969-3B10-8BCE-C55A4B9C520C> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff8522d000 -     0x7fff852ffff7  com.apple.CoreText (260.0 - 275.16) <5BFC1D67-6A6F-38BC-9D90-9C712684EDAC> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff85300000 -     0x7fff85357ff7  com.apple.AppleVAFramework (5.0.19 - 5.0.19) <541A7DBE-F8E4-3023-A3C0-8D5A2A550CFB> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff85358000 -     0x7fff8537aff7  com.apple.Kerberos (2.0 - 1) <C49B8820-34ED-39D7-A407-A3E854153556> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8537b000 -     0x7fff85380fff  libcompiler_rt.dylib (30) <08F8731D-5961-39F1-AD00-4590321D24A9> /usr/lib/system/libcompiler_rt.dylib
    0x7fff85441000 -     0x7fff85441fff  com.apple.CoreServices (57 - 57) <9DD44CB0-C644-35C3-8F57-0B41B3EC147D> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff85483000 -     0x7fff85497fff  com.apple.speech.synthesis.framework (4.1.12 - 4.1.12) <94EDF2AB-809C-3D15-BED5-7AD45B2A7C16> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff85498000 -     0x7fff854b3ff7  libsystem_kernel.dylib (2050.22.13) <5A961E2A-CFB8-362B-BC43-122704AEB047> /usr/lib/system/libsystem_kernel.dylib
    0x7fff854b4000 -     0x7fff85571ff7  com.apple.ColorSync (4.8.0 - 4.8.0) <6CE333AE-EDDB-3768-9598-9DB38041DC55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff85572000 -     0x7fff85579fff  com.apple.NetFS (5.0 - 4.0) <82E24B9A-7742-3DA3-9E99-ED267D98C05E> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8557a000 -     0x7fff8557cfff  com.apple.securityhi (4.0 - 55002) <9B6CBA92-123F-3307-A2D7-D77A8D3BF87E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff8557d000 -     0x7fff8557efff  libsystem_blocks.dylib (59) <D92DCBC3-541C-37BD-AADE-ACC75A0C59C8> /usr/lib/system/libsystem_blocks.dylib
    0x7fff8557f000 -     0x7fff8558dfff  libcommonCrypto.dylib (60027) <BAAFE0C9-BB86-3CA7-88C0-E3CBA98DA06F> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8558e000 -     0x7fff855aefff  libPng.dylib (849) <F4C23A55-F17B-3E4F-9E80-BC97F778BA49> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff855af000 -     0x7fff855affff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <B5A18EE8-DF81-38DD-ACAF-7076B2A26225> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff856e9000 -     0x7fff856f6ff7  com.apple.NetAuth (4.0 - 4.0) <F5BC7D7D-AF28-3C83-A674-DADA48FF7810> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8579f000 -     0x7fff857b9fff  com.apple.CoreMediaAuthoring (2.1 - 914) <F0E11E75-03DA-3622-B614-2257EBDABF25> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fff857fe000 -     0x7fff8582cff7  libsystem_m.dylib (3022.6) <B434BE5C-25AB-3EBD-BAA7-5304B34E3441> /usr/lib/system/libsystem_m.dylib
    0x7fff8582d000 -     0x7fff8582dfff  com.apple.Cocoa (6.7 - 19) <1F77945C-F37A-3171-B22E-F7AB0FCBB4D4> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff8582e000 -     0x7fff85832ff7  com.apple.TCC (1.0 - 1) <F2F3B753-FC73-3543-8BBE-859FDBB4D6A6> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff85833000 -     0x7fff85846ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <2F2694E9-A7BC-33C7-B4CF-8EC907DF0FEB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff8585c000 -     0x7fff858a7fff  com.apple.framework.CoreWLAN (3.0.2 - 302.12) <896D75EB-069B-3674-936E-27A81568BECB> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff8615e000 -     0x7fff862d3fff  com.apple.CFNetwork (596.3.3 - 596.3.3) <3739DC8D-8610-3740-80EC-43E130779CB8> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff862ec000 -     0x7fff862eefff  libquarantine.dylib (52) <4BE2E642-A14F-340A-B482-5BD2AEFD9C24> /usr/lib/system/libquarantine.dylib
    0x7fff862ef000 -     0x7fff8630eff7  com.apple.ChunkingLibrary (2.0 - 133.3) <8BEC9AFB-DCAA-37E8-A5AB-24422B234ECF> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff86312000 -     0x7fff86329fff  com.apple.CFOpenDirectory (10.8 - 151.10) <7AD5F6E7-A745-3FF4-B813-9D064A8146EC> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8632a000 -     0x7fff86367fef  libGLImage.dylib (8.7.25) <139A9892-A6F2-3F49-87FB-E7AC3F56E003> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff86368000 -     0x7fff86393fff  libxslt.1.dylib (11.3) <441776B8-9130-3893-956F-39C85FFA644F> /usr/lib/libxslt.1.dylib
    0x7fff86399000 -     0x7fff863f0ff7  com.apple.ScalableUserInterface (1.0 - 1) <F1D43DFB-1796-361B-AD4B-39F1EED3BE19> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff8640c000 -     0x7fff8640dff7  libdnsinfo.dylib (453.19) <14202FFB-C3CA-3FCC-94B0-14611BF8692D> /usr/lib/system/libdnsinfo.dylib
    0x7fff8640e000 -     0x7fff8645aff7  libauto.dylib (185.1) <73CDC482-16E3-3FC7-9BB4-FBA2DA44DBC2> /usr/lib/libauto.dylib
    0x7fff8670a000 -     0x7fff86710fff  libmacho.dylib (829) <BF332AD9-E89F-387E-92A4-6E1AB74BD4D9> /usr/lib/system/libmacho.dylib
    0x7fff86954000 -     0x7fff86975fff  com.apple.Ubiquity (1.2 - 243.15) <C9A7EE77-B637-3676-B667-C0843BBB0409> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff86982000 -     0x7fff86986fff  libCoreVMClient.dylib (32.3) <AD8391D9-56DD-3A78-A294-6A30E6ECE1A2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff86987000 -     0x7fff869effff  libvDSP.dylib (380.6) <CD4C5EEB-9E63-30C4-8103-7A5EAEA0BE60> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff869f0000 -     0x7fff86a58ff7  libc++.1.dylib (65.1) <20E31B90-19B9-3C2A-A9EB-474E08F9FE05> /usr/lib/libc++.1.dylib
    0x7fff86a59000 -     0x7fff86a61ff7  libsystem_dnssd.dylib (379.37) <616FC901-151E-38BF-B2C4-24A351C5FAAD> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff86a62000 -     0x7fff86a66ff7  com.apple.CommonPanels (1.2.5 - 94) <AAC003DE-2D6E-38B7-B66B-1F3DA91E7245> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff86a67000 -     0x7fff86ab1ff7  libGLU.dylib (8.7.25) <C243C6D3-3384-3DB1-BB15-E27B65C87294> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff86ab2000 -     0x7fff86abffff  com.apple.AppleFSCompression (49 - 1.0) <5508344A-2A7E-3122-9562-6F363910A80E> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff86ac0000 -     0x7fff86b04fff  libcups.2.dylib (327.3) <71E771A1-0489-3417-8A4A-56A2C930F80C> /usr/lib/libcups.2.dylib
    0x7fff86b05000 -     0x7fff86b08ff7  libdyld.dylib (210.2.3) <F59367C9-C110-382B-A695-9035A6DD387E> /usr/lib/system/libdyld.dylib
    0x7fff86b09000 -     0x7fff86b5ffff  com.apple.HIServices (1.20 - 417) <839B4EE4-B96F-3371-BE90-3B4EBB86C6EA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff86b60000 -     0x7fff86b6cfff  com.apple.CrashReporterSupport (10.8.3 - 417) <48EDDDF3-5720-39D6-B51F-D9AFB93327B3> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff86cdf000 -     0x7fff86ce1ff7  libunc.dylib (25) <92805328-CD36-34FF-9436-571AB0485072> /usr/lib/system/libunc.dylib
    0x7fff86ce2000 -     0x7fff86e90fff  com.apple.QuartzCore (1.8 - 304.2) <234EABE1-067C-3DAE-BEAC-674526E232C2> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff86e97000 -     0x7fff86f94ff7  libxml2.2.dylib (22.3) <47B09CB2-C636-3024-8B55-6040F7829B4C> /usr/lib/libxml2.2.dylib
    0x7fff86f95000 -     0x7fff87106ff7  com.apple.QTKit (7.7.1 - 2599.24) <A2153722-268B-3293-B9E3-CB59273CDE41> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fff87133000 -     0x7fff8715fff7  libRIP.A.dylib (331.0.4) <4B261CE2-524E-3FA9-9437-B70DAC1EAB95> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff87160000 -     0x7fff874bdff7  com.apple.Foundation (6.8 - 945.16) <89BD68FD-72C8-35C1-94C6-3A07F097C50D> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff874fb000 -     0x7fff875d5fff  com.apple.backup.framework (1.4.2 - 1.4.2) <0B557393-CD2A-3076-BED2-F28D02E1EC1D> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff875f2000 -     0x7fff8763bfff  com.apple.framework.CoreWiFi (1.2.2 - 122.12) <D237551E-0E2C-30FB-8FAA-003D8F25E819> /System/Library/Frameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff87957000 -     0x7fff87bfbff7  com.apple.CoreImage (8.2.4 - 1.0.1) <4A6B017F-B9F7-36DA-943D-A95611F147EA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff87cd3000 -     0x7fff87d12ff7  com.apple.QD (3.42 - 285) <8DF36FCA-C06B-30F4-A631-7BE2FF7E56D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff87d13000 -     0x7fff87d1eff7  com.apple.bsd.ServiceManagement (2.0 - 2.0) <C12962D5-85FB-349E-AA56-64F4F487F219> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff87d1f000 -     0x7fff8813cfff  FaceCoreLight (2.4.1) <DDAFFD7A-D312-3407-A010-5AEF3E17831B> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff8813f000 -     0x7fff88156fff  libGL.dylib (8.7.25) <15F5CB64-847B-3D3D-9663-E0523F15F513> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff88157000 -     0x7fff881c4ff7  com.apple.datadetectorscore (4.1 - 269.2) <4FD4A7CE-BB00-3AAB-B7AA-AE395D5400EC> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff881c5000 -     0x7fff881c8fff  libRadiance.dylib (849) <F7D9A0FD-1195-34CB-BFE5-79DAF3F40AC3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff881c9000 -     0x7fff881d3fff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <D803919C-3102-3515-A178-61E9C86C46A1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff881d4000 -     0x7fff881d5ff7  libsystem_sandbox.dylib (220.2) <6838A6FD-8626-3356-BB4F-BB4787216207> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8821d000 -     0x7fff88bad6ff  com.apple.CoreGraphics (1.600.0 - 331.0.4) <4953961C-96DC-39D7-ADF5-B767F2A7E4E1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff88bae000 -     0x7fff88d98ff7  com.apple.CoreFoundation (6.8 - 744.18) <A60C3C9B-3764-3291-844C-C487ACF77C2C> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff88deb000 -     0x7fff88febfff  libicucore.A.dylib (491.11.2) <FD6282D8-DF3F-3842-8C2E-CF478D2B9669> /usr/lib/libicucore.A.dylib
    0x7fff88ffd000 -     0x7fff88ffffff  com.apple.TrustEvaluationAgent (2.0 - 23) <A97D348B-32BF-3E52-8DF2-59BFAD21E1A3> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff89000000 -     0x7fff89000fff  com.apple.Accelerate (1.8 - Accelerate 1.8) <6AD48543-0864-3D40-80CE-01F184F24B45> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff89001000 -     0x7fff89236ff7  com.apple.CoreData (106.1 - 407.7) <A676E1A4-2144-376B-92B8-B450DD1D78E5> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff89237000 -     0x7fff89237fff  com.apple.Carbon (154 - 155) <CC5AA589-242E-3BE1-B776-7D4FFD93D0C1> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff89238000 -     0x7fff8933afff  libJP2.dylib (849) <4EEA33EB-AF9F-365D-A572-F7D11AD1C76F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff893d9000 -     0x7fff893eeff7  libdispatch.dylib (228.23) <D26996BF-FC57-39EB-8829-F63585561E09> /usr/lib/system/libdispatch.dylib
    0x7fff8a46e000 -     0x7fff8a495fff  com.apple.framework.familycontrols (4.1 - 410) <50F5A52C-8FB6-300A-977D-5CFDE4D5796B> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff8a4a8000 -     0x7fff8a502fff  com.apple.print.framework.PrintCore (8.3 - 387.2) <5BA0CBED-4D80-386A-9646-F835C9805B71> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8a7c7000 -     0x7fff8a824ff7  com.apple.audio.CoreAudio (4.1.1 - 4.1.1) <D15F3FB3-BE53-3545-AD37-9A25A597FE3C> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8a9a6000 -     0x7fff8aa26ff7  com.apple.ApplicationServices.ATS (332 - 341.1) <39B53565-FA31-3F61-B090-C787C983142E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff8aa7a000 -     0x7fff8aac9ff7  libcorecrypto.dylib (106.2) <CE0C29A3-C420-339B-ADAA-52F4683233CC> /usr/lib/system/libcorecrypto.dylib
    0x7fff8aaca000 -     0x7fff8ab68ff7  com.apple.ink.framework (10.8.2 - 150) <3D8D16A2-7E01-3EA1-B637-83A36D353308> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff8ab69000 -     0x7fff8ae3aff7  com.apple.security (7.0 - 55179.11) <73958084-5BBC-3597-A751-7370B0C247E5> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8ae3b000 -     0x7fff8aeecfff  com.apple.LaunchServices (539.7 - 539.7) <DA7C602E-5E01-31B8-925D-B45360CA089F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8af28000 -     0x7fff8af50fff  libJPEG.dylib (849) <5C9052F6-D0B3-39CC-8302-468B43D694D5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8af92000 -     0x7fff8b2a9ff7  com.apple.CoreServices.CarbonCore (1037.5 - 1037.5) <731D8F92-1C52-3613-BA01-EFEA54DADF41> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8b2aa000 -     0x7fff8b2abfff  liblangid.dylib (116) <864C409D-D56B-383E-9B44-A435A47F2346> /usr/lib/liblangid.dylib
    0x7fff8b2ac000 -     0x7fff8b308ff7  com.apple.Symbolication (1.3 - 93) <D5044687-E424-31CF-B120-667143E6B9C1> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff8b309000 -     0x7fff8b702fe7  com.apple.MediaToolbox (1.0 - 926.87) <8346DAFC-88E5-350E-90E1-C98B180488C2> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff8b760000 -     0x7fff8b765fff  libcache.dylib (57) <65187C6E-3FBF-3EB8-A1AA-389445E2984D> /usr/lib/system/libcache.dylib
    0x7fff8b766000 -     0x7fff8b7b5ff7  libFontRegistry.dylib (100) <2E03D7DA-9B8F-31BB-8FB5-3D3B6272127F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff8b7b6000 -     0x7fff8b7bafff  libCGXType.A.dylib (331.0.4) <251D4D2D-92B9-3D56-B348-CD67397F71FE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff8b7bb000 -     0x7fff8b7feff7  com.apple.bom (12.0 - 192) <0BF1F2D2-3648-36B7-BE4B-551A0173209B> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff8b7ff000 -     0x7fff8b850ff7  com.apple.SystemConfiguration (1.12.2 - 1.12.2) <A4341BBD-A330-3A57-8891-E9C1A286A72D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8b851000 -     0x7fff8b8abff7  com.apple.opencl (2.2.18 - 2.2.18) <4A78E53C-17B0-3B2D-A9EA-EF8720FE4134> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff8b8ac000 -     0x7fff8b8b2fff  com.apple.DiskArbitration (2.5.2 - 2.5.2) <C713A35A-360E-36CE-AC0A-25C86A3F50CA> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8b8b3000 -     0x7fff8b940ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <C7F43889-F8BF-3CB9-AD66-11AEFCBCEDE7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff8ba20000 -     0x7fff8ba35fff  com.apple.ImageCapture (8.0 - 8.0) <17A45CE6-7DA3-36A5-B7EF-72BC136981AE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff8ba36000 -     0x7fff8bb41fff  libFontParser.dylib (84.6) <96C42E49-79A6-3475-B5E4-6A782599A6DA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff8c429000 -     0x7fff8c44aff7  libCRFSuite.dylib (33) <736ABE58-8DED-3289-A042-C25AF7AE5B23> /usr/lib/libCRFSuite.dylib
    0x7fff8c44b000 -     0x7fff8c56392f  libobjc.A.dylib (532.2) <90D31928-F48D-3E37-874F-220A51FD9E37> /usr/lib/libobjc.A.dylib
    0x7fff8c663000 -     0x7fff8ce0afff  com.apple.CoreAUC (6.16.13 - 6.16.13) <8CBFBC9C-0773-3DEB-AF99-989008CB2B36> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff8cea9000 -     0x7fff8cfa6fff  libsqlite3.dylib (138.1) <ADE9CB98-D77D-300C-A32A-556B7440769F> /usr/lib/libsqlite3.dylib
    0x7fff8cfa7000 -     0x7fff8d3e3fff  com.apple.VideoToolbox (1.0 - 926.87) <7319477A-4A3D-3233-AAD1-31F9C9429DA7> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff8d3e4000 -     0x7fff8d48aff7  com.apple.CoreServices.OSServices (557.6 - 557.6) <1BDB5456-0CE9-301C-99C1-8EFD0D2BFCCD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8d48b000 -     0x7fff8d492fff  libcopyfile.dylib (89) <876573D0-E907-3566-A108-577EAD1B6182> /usr/lib/system/libcopyfile.dylib
    0x7fff8d67c000 -     0x7fff8d6adff7  com.apple.DictionaryServices (1.2 - 184.4) <FB0540FF-5034-3591-A28D-6887FBC220F7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8da82000 -     0x7fff8db77fff  libiconv.2.dylib (34) <FEE8B996-EB44-37FA-B96E-D379664DEFE1> /usr/lib/libiconv.2.dylib
    0x7fff8db78000 -     0x7fff8e7a5ff7  com.apple.AppKit (6.8 - 1187.37) <FAEA8B77-210F-3C0F-B9CF-85A7595CCA26> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff8e7a6000 -     0x7fff8e7abfff  com.apple.OpenDirectory (10.8 - 151.10) <3EE3D15A-3C79-3FF1-9A95-7CE2F065E542> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff8e7ac000 -     0x7fff8e82eff7  com.apple.Heimdal (3.0 - 2.0) <C94B0C6C-1320-35A1-8143-FE252E7B2A08> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8e82f000 -     0x7fff8e854ff7  libc++abi.dylib (26) <D86169F3-9F31-377A-9AF3-DB17142052E4> /usr/lib/libc++abi.dylib
    0x7fff8e855000 -     0x7fff8e8c3fff  com.apple.framework.IOKit (2.0.1 - 755.22.5) <1547DA6F-9793-30A2-8E92-7368DE84D46C> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8e903000 -     0x7fff8e939fff  com.apple.DebugSymbols (98 - 98) <14E788B1-4EB2-3FD7-934B-849534DFC198> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8e93a000 -     0x7fff8e98fff7  libTIFF.dylib (849) <C4D0E196-9319-319B-AF72-8B63FB5AF71B> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8f176000 -     0x7fff8f1a4fff  com.apple.CoreServicesInternal (154.2 - 154.2) <3E6196E6-F3B4-316F-9E1F-13B6B9694C7E> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff8f1a5000 -     0x7fff8f1a5fff  com.apple.vecLib (3.8 - vecLib 3.8) <794317C7-4E38-338A-A874-5E18001C8503> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8f337000 -     0x7fff8f72efff  libLAPACK.dylib (1073.4) <D632EC8B-2BA0-3853-800A-20DA00A1091C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff8f72f000 -     0x7fff8f7cafff  com.apple.CoreSymbolication (3.0 - 117) <C304FDB8-2FF7-34BC-858A-2B96C2B039D5> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8f7d5000 -     0x7fff8f7d6ff7  libremovefile.dylib (23.2) <6763BC8E-18B8-3AD9-8FFA-B43713A7264F> /usr/lib/system/libremovefile.dylib
    0x7fff8f7db000 -     0x7fff8f7dffff  com.apple.IOSurface (86.0.4 - 86.0.4) <26F01CD4-B76B-37A3-989D-66E8140542B3> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff8f831000 -     0x7fff8f87efff  com.apple.CoreMediaIO (307.0 - 4155) <CD826A65-DFE7-3A58-A29E-15B3A9BE0A6D> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fff8f8b2000 -     0x7fff8f8bdfff  com.apple.CommonAuth (3.0 - 2.0) <7A953C1F-8B18-3E46-9BEA-26D9B5B7745D> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8f91e000 -     0x7fff8f91fff7  libSystem.B.dylib (169.3) <FF25248A-574C-32DB-952F-B948C389B2A4> /usr/lib/libSystem.B.dylib
    0x7fff8f920000 -     0x7fff8f926ff7  libunwind.dylib (35.1) <21703D36-2DAB-3D8B-8442-EAAB23C060D3> /usr/lib/system/libunwind.dylib
    0x7fff8f927000 -     0x7fff8f929ff7  com.apple.print.framework.Print (8.0 - 258) <34666CC2-B86D-3313-B3B6-A9977AD593DA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8f92a000 -     0x7fff8f938fff  com.apple.Librarian (1.1 - 1) <5AC28666-7642-395F-A923-C6F8A274BBBD> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
    0x7fff8f93b000 -     0x7fff8f94eff7  libbsm.0.dylib (32) <F497D3CE-40D9-3551-84B4-3D5E39600737> /usr/lib/libbsm.0.dylib
    0x7fff8fa2f000 -     0x7fff8fa3dff7  libsystem_network.dylib (77.10) <0D99F24E-56FE-380F-B81B-4A4C630EE587> /usr/lib/system/libsystem_network.dylib
    0x7fff8fc87000 -     0x7fff8fe22fef  com.apple.vImage (6.0 - 6.0) <FAE13169-295A-33A5-8E6B-7C2CC1407FA7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff8fe23000 -     0x7fff8fe82fff  com.apple.AE (645.6 - 645.6) <44F403C1-660A-3543-AB9C-3902E02F936F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8fe83000 -     0x7fff8ff48ff7  com.apple.coreui (2.0 - 181.1) <83D2C92D-6842-3C9D-9289-39D5B4554C3A> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8ff49000 -     0x7fff8ff94fff  com.apple.CoreMedia (1.0 - 926.87) <F51205F8-A102-359C-A9A3-22A48524C081> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff9013a000 -     0x7fff901b9ff7  com.apple.securityfoundation (6.0 - 55115.4) <64EDD2F2-4DE2-3DE5-BE57-43D413853CF9> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff901e1000 -     0x7fff901e3fff  libCVMSPluginSupport.dylib (8.7.25) <A45E21E3-4B40-39B0-A8B6-411526A84F47> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff901e4000 -     0x7fff901e8fff  libpam.2.dylib (20) <C8F45864-5B58-3237-87E1-2C258A1D73B8> /usr/lib/libpam.2.dylib
    0x7fff901e9000 -     0x7fff9026afff  com.apple.Metadata (10.7.0 - 707.5) <4140B1F6-7D73-33C7-B3F2-4DB349C31AE9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff9026b000 -     0x7fff903f1fff  libBLAS.dylib (1073.4) <C102C0F6-8CB6-3B49-BA6B-2EB61F0B2784> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff9043b000 -     0x7fff90467fff  com.apple.framework.Apple80211 (8.3.2 - 832.18.1) <5D601780-9AD9-31C9-9AB5-716D8634CB78> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff90468000 -     0x7fff9048fff7  com.apple.PerformanceAnalysis (1.16 - 16) <E4888388-F41B-313E-9CBB-5807D077BDA9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff90490000 -     0x7fff9049bfff  libsystem_notify.dylib (98.5) <C49275CC-835A-3207-AFBA-8C01374927B6> /usr/lib/system/libsystem_notify.dylib
    0x7fff904aa000 -     0x7fff904c9ff7  libresolv.9.dylib (51) <0882DC2D-A892-31FF-AD8C-0BB518C48B23> /usr/lib/libresolv.9.dylib
    0x7fff904ca000 -     0x7fff905e4fff  com.apple.coreavchd (5.6.0 - 5600.4.16) <0CF2ABE5-B088-3B5D-9C04-47AE708ADAE3> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff90841000 -     0x7fff90884ff7  com.apple.RemoteViewServices (2.0 - 80.6) <5CFA361D-4853-3ACC-9EFC-A2AC1F43BA4B> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff90885000 -     0x7fff90897ff7  libz.1.dylib (43) <2A1551E8-A272-3DE5-B692-955974FE1416> /usr/lib/libz.1.dylib
    0x7fff90898000 -     0x7fff909b1fff  com.apple.ImageIO.framework (3.2.0 - 849) <C52AED41-A7C2-300B-91FA-5AF73718D243> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 155
    thread_create: 1
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=242.1M resident=157.3M(65%) swapped_out_or_unallocated=84.8M(35%)
Writable regions: Total=57.8M written=4472K(8%) resident=10.0M(17%) swapped_out=0K(0%) unallocated=47.7M(83%)
 
REGION TYPE                      VIRTUAL
===========                      =======
CG image                             68K
CG shared images                   1184K
CoreServices                       4604K
MALLOC                             43.6M
MALLOC guard page                    48K
SQLite page cache                    96K
STACK GUARD                        56.0M
Stack                              9300K
VM_ALLOCATE                         132K
__DATA                             15.0M
__IMAGE                             528K
__LINKEDIT                         71.2M
__TEXT                            170.9M
__UNICODE                           544K
mapped file                        81.3M
shared memory                       308K
===========                      =======
TOTAL                             454.5M

Model: MacBookPro9,2, BootROM MBP91.00D3.B06, 2 processors, Intel Core i5, 2.5 GHz, 16 GB, SMC 2.2f41
Graphics: Intel HD Graphics 4000, Intel HD Graphics 4000, Built-In, 512 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x8502, 0x505344333847313630303253000000000000
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x8502, 0x505344333847313630303253000000000000
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xF5), Broadcom BCM43xx 1.0 (5.106.98.100.16)
Bluetooth: Version 4.1.3f3 11349, 2 service, 18 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: APPLE HDD HTS541010A9E662, 1 TB
Serial ATA Device: MATSHITADVD-R   UJ-8A8, 3.98 GB
USB Device: hub_device, 0x8087  (Intel Corporation), 0x0024, 0x1a100000 / 2
USB Device: FaceTime HD Camera (Built-in), apple_vendor_id, 0x8509, 0x1a110000 / 3
USB Device: hub_device, 0x8087  (Intel Corporation), 0x0024, 0x1d100000 / 2
USB Device: hub_device, 0x0424  (SMSC), 0x2513, 0x1d180000 / 3
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0x1d182000 / 6
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0252, 0x1d183000 / 5
USB Device: BRCM20702 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x1d181000 / 4
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x821d, 0x1d181300 / 7


Reproducible: Always

Steps to Reproduce:
1. click on Digikam application
2.Watch digikam and drkonqi attempt to open.
3.Watch them crash and error message that follows


Expected Results:  
It should open into the functioning program
Comment 1 caulier.gilles 2013-07-23 08:16:09 UTC
Crash sound like in drkonqi, not digiKam.

Here i use digiKam 3.2.0 under Macports without any crash at startup.

Also, it miss debug symbols in your trace. Please run application in GDB to get a better backtrace.

Gilles Caulier
Comment 2 caulier.gilles 2015-06-30 08:08:08 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 3 caulier.gilles 2016-06-28 09:16:41 UTC
digiKam 5.0.0-beta7 Installer for MacOSX is now available for testing...

https://drive.google.com/open?id=0B7yq-xFihT0_ZjlIazRPb1lRTEE

Gilles Caulier
Comment 4 caulier.gilles 2016-06-30 14:25:29 UTC
Tested with digiKam 5.0.0-beta7 for OSX, and problem is not reproducible...

Gilles Caulier